## tien-react-sticky

A React component library for transforming element to sticky when scroll, like picture-in-picture, using [Intersection Observer API](https://developer.mozilla.org/en-US/docs/Web/API/Intersection_Observer_API)

## Quick Start

This is a default **TienStickyScroll** declaration, the sticky will show as sticky when we scroll under the target element.

```jsx
<TienStickyScroll
  style={{
    backgroundColor: "white",

    padding: "12px",
  }}
>
  <div
    style={{
      border: "1px solid black",

      padding: "10px",
    }}
  >
    <div>abcdef</div>

    <div style={{ height: "200px" }}>
      <video
        src="https://www.w3schools.com/tags/movie.mp4"
        controls
        style={{ height: "100%" }}
      ></video>
    </div>
  </div>
</TienStickyScroll>
```
